
QGIS Application - Bug report #704

Vector legend type: classification field broken for Single/Graduated Symbol and Continuous Color

2007-04-11 11:34 PM - mneteler -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10763

Description

Hi,

for vector maps, it appears that the classification field is only accessible in "Unique Value":

- in "Single Symbol" the classification field selector is missing

- in "Graduated Symbol" it is there but no selection is possible (takes first column hardcoded)

- in "Continuous Color" it is there but also here no selection is possible (takes first column hardcoded)

Since it works for "Unique Value", it would be great to get this fixed (both 0.8 and 0.9).

Thanks,

Markus

History

#1 - 2007-04-12 06:51 AM - browlingson -

I don't see this for a shapefile loaded directly, but I do see something like this for a delimited text layer loaded from the delimited text plugin.

The reason is that the delimited text plugin doesn't try to guess if data are numeric or character, and so assumes they are all character, and so the only

renderer that can make sense of character data is the "Unique Value" one. The others need numeric values.

So, try this on a real shapefile vector layer.

The fix would involve some rewriting of the delimited text plugin to guess column types.

#2 - 2007-04-12 11:58 PM - Marco Hugentobler

Hi Markus,

in "Single Symbol", there is no need to choose a classification field because all features are rendered the same

in "Unique Value", all fields should be available for classification

for "Graduated Symbol" and "Continuous Color", only fields with numeric types are accessible
Could you check if QGIS distinguishes numerical and non-numerical data types right? The type system improved in the 0.9 developer version thanks to

Martins contributions.

Regards,

Marco

#3 - 2007-09-03 08:19 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

#4 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
